using System;
using System.ComponentModel;
using System.Windows.Forms;
using FineBytes.MEX.Explorer;

namespace FineBytes.MEX.ExplorerDemo
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class MainForm : Form
	{
		private MainMenu mainMenu1;
		private MenuItem mniClose;
		private MenuItem mniDelete;
		private MenuItem mniRename;
		private MenuItem mniFile;
		private MenuItem mniSelectAll;
		private MenuItem mniInvertSelection;
		private MenuItem mniView;
		private MenuItem mniDetails;
		private MenuItem mniIcons;
		private MenuItem mniList;
		private MenuItem mniNavigate;
		private MenuItem mniDesktop;
		private MenuItem mniMyDocs;
		private MenuItem mniFavorites;
		private MenuItem mniUp;
		private MenuItem menuItem3;
		private MenuItem mniSpecFolder;
		private MenuItem mniAllowColReorder;
		private MenuItem mniAllowDelete;
		private MenuItem menuItem7;
		private MenuItem menuItem21;
		private MenuItem menuItem22;
		private MenuItem menuItem26;
		private MenuItem mniSelection;
		private MenuItem menuItem29;
		private MenuItem mniFilter;
		private MenuItem mniFolderMask;
		private MenuItem mniFileMask;
		private MenuItem mniFSOnly;
		private MenuItem mniShowFolders;
		private MenuItem mniShowFolderUp;
		private MenuItem mniShowHiddenItems;
		private MenuItem mniShowNonFolders;
		private MenuItem mniAllowDrag;
		private MenuItem mniAllowExecute;
		private MenuItem mniAllowNav;
		private MenuItem mniAllowRename;
		private MenuItem mniViewStyle;
		private MenuItem mniPermissions;
		private MenuItem mniAllowSysContextMenu;
		private MenuItem mniLabelWrap;
		private MenuItem mniCheckBoxes;
		private MenuItem mniDetailsModeOpts;
		private MenuItem mniGridLines;
		private MenuItem mniDateFormat;
		private MenuItem mniFullRowSelect;
		private MenuItem mniMarkSelectedCol;
		private MenuItem mniShowFoldersFirst;
		private MenuItem mniMultiSelect;
		private MenuItem mniPath;
		private ContextMenu contextMenu1;
		private MenuItem menuItem1;
		private DriveExplorer driveExplorer1;
		private FileExplorer fileExplorer1;
		private MenuItem menuItem2;
		private MenuItem menuItem4;
		private MenuItem mniLocate;
		private MenuItem mniProps;
		private MenuItem mniPrint;
		private MenuItem mniEdit;
		private MenuItem mniOpen;
		private MenuItem mniOpenWith;
		private MenuItem mniArchiveNav;
		private StatusBar Status;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private Container components = null;

		public MainForm()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			fileExplorer1.LockPopulate();
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose(bool disposing)
		{
			if (disposing)
			{
				if (components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}

		#region Windows Form Designer generated code

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.mainMenu1 = new System.Windows.Forms.MainMenu();
			this.mniFile = new System.Windows.Forms.MenuItem();
			this.mniOpen = new System.Windows.Forms.MenuItem();
			this.mniOpenWith = new System.Windows.Forms.MenuItem();
			this.mniRename = new System.Windows.Forms.MenuItem();
			this.mniDelete = new System.Windows.Forms.MenuItem();
			this.mniPrint = new System.Windows.Forms.MenuItem();
			this.mniEdit = new System.Windows.Forms.MenuItem();
			this.mniProps = new System.Windows.Forms.MenuItem();
			this.mniClose = new System.Windows.Forms.MenuItem();
			this.mniSelection = new System.Windows.Forms.MenuItem();
			this.mniSelectAll = new System.Windows.Forms.MenuItem();
			this.mniInvertSelection = new System.Windows.Forms.MenuItem();
			this.menuItem29 = new System.Windows.Forms.MenuItem();
			this.mniMultiSelect = new System.Windows.Forms.MenuItem();
			this.mniView = new System.Windows.Forms.MenuItem();
			this.mniFilter = new System.Windows.Forms.MenuItem();
			this.mniFolderMask = new System.Windows.Forms.MenuItem();
			this.mniFileMask = new System.Windows.Forms.MenuItem();
			this.menuItem21 = new System.Windows.Forms.MenuItem();
			this.mniFSOnly = new System.Windows.Forms.MenuItem();
			this.menuItem22 = new System.Windows.Forms.MenuItem();
			this.mniShowFolders = new System.Windows.Forms.MenuItem();
			this.mniShowNonFolders = new System.Windows.Forms.MenuItem();
			this.mniShowFolderUp = new System.Windows.Forms.MenuItem();
			this.mniShowHiddenItems = new System.Windows.Forms.MenuItem();
			this.mniPermissions = new System.Windows.Forms.MenuItem();
			this.mniAllowColReorder = new System.Windows.Forms.MenuItem();
			this.mniAllowDelete = new System.Windows.Forms.MenuItem();
			this.mniAllowDrag = new System.Windows.Forms.MenuItem();
			this.mniAllowExecute = new System.Windows.Forms.MenuItem();
			this.mniAllowNav = new System.Windows.Forms.MenuItem();
			this.mniArchiveNav = new System.Windows.Forms.MenuItem();
			this.mniAllowRename = new System.Windows.Forms.MenuItem();
			this.mniAllowSysContextMenu = new System.Windows.Forms.MenuItem();
			this.mniViewStyle = new System.Windows.Forms.MenuItem();
			this.mniDetails = new System.Windows.Forms.MenuItem();
			this.mniIcons = new System.Windows.Forms.MenuItem();
			this.mniList = new System.Windows.Forms.MenuItem();
			this.menuItem7 = new System.Windows.Forms.MenuItem();
			this.mniLabelWrap = new System.Windows.Forms.MenuItem();
			this.mniDetailsModeOpts = new System.Windows.Forms.MenuItem();
			this.mniGridLines = new System.Windows.Forms.MenuItem();
			this.mniDateFormat = new System.Windows.Forms.MenuItem();
			this.mniFullRowSelect = new System.Windows.Forms.MenuItem();
			this.mniMarkSelectedCol = new System.Windows.Forms.MenuItem();
			this.menuItem26 = new System.Windows.Forms.MenuItem();
			this.mniCheckBoxes = new System.Windows.Forms.MenuItem();
			this.mniShowFoldersFirst = new System.Windows.Forms.MenuItem();
			this.mniNavigate = new System.Windows.Forms.MenuItem();
			this.mniUp = new System.Windows.Forms.MenuItem();
			this.mniSpecFolder = new System.Windows.Forms.MenuItem();
			this.mniPath = new System.Windows.Forms.MenuItem();
			this.mniLocate = new System.Windows.Forms.MenuItem();
			this.menuItem3 = new System.Windows.Forms.MenuItem();
			this.mniDesktop = new System.Windows.Forms.MenuItem();
			this.mniMyDocs = new System.Windows.Forms.MenuItem();
			this.mniFavorites = new System.Windows.Forms.MenuItem();
			this.menuItem4 = new System.Windows.Forms.MenuItem();
			this.menuItem2 = new System.Windows.Forms.MenuItem();
			this.contextMenu1 = new System.Windows.Forms.ContextMenu();
			this.menuItem1 = new System.Windows.Forms.MenuItem();
			this.driveExplorer1 = new FineBytes.MEX.Explorer.DriveExplorer();
			this.fileExplorer1 = new FineBytes.MEX.Explorer.FileExplorer();
			this.Status = new System.Windows.Forms.StatusBar();
			this.SuspendLayout();
			// 
			// mainMenu1
			// 
			this.mainMenu1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[]
				{
					this.mniFile,
					this.mniSelection,
					this.mniView,
					this.mniNavigate
				});
			// 
			// mniFile
			// 
			this.mniFile.Index = 0;
			this.mniFile.MenuItems.AddRange(new System.Windows.Forms.MenuItem[]
				{
					this.mniOpen,
					this.mniOpenWith,
					this.mniRename,
					this.mniDelete,
					this.mniPrint,
					this.mniEdit,
					this.mniProps,
					this.mniClose
				});
			this.mniFile.Text = "&File";
			this.mniFile.Popup += new System.EventHandler(this.File_Popup);
			// 
			// mniOpen
			// 
			this.mniOpen.Index = 0;
			this.mniOpen.Text = "&Open";
			this.mniOpen.Click += new System.EventHandler(this.mniOpen_Click);
			// 
			// mniOpenWith
			// 
			this.mniOpenWith.Index = 1;
			this.mniOpenWith.Text = "Open &With";
			this.mniOpenWith.Click += new System.EventHandler(this.mniOpenWith_Click);
			// 
			// mniRename
			// 
			this.mniRename.Index = 2;
			this.mniRename.Text = "&Rename";
			this.mniRename.Click += new System.EventHandler(this.mniRename_Click);
			// 
			// mniDelete
			// 
			this.mniDelete.Index = 3;
			this.mniDelete.Text = "&Delete";
			this.mniDelete.Click += new System.EventHandler(this.mniDelete_Click);
			// 
			// mniPrint
			// 
			this.mniPrint.Index = 4;
			this.mniPrint.Text = "&Print";
			this.mniPrint.Click += new System.EventHandler(this.mniPrint_Click);
			// 
			// mniEdit
			// 
			this.mniEdit.Index = 5;
			this.mniEdit.Text = "&Edit";
			this.mniEdit.Click += new System.EventHandler(this.mniEdit_Click);
			// 
			// mniProps
			// 
			this.mniProps.Index = 6;
			this.mniProps.Text = "Properties";
			this.mniProps.Click += new System.EventHandler(this.mniProps_Click);
			// 
			// mniClose
			// 
			this.mniClose.Index = 7;
			this.mniClose.Text = "&Close";
			this.mniClose.Click += new System.EventHandler(this.menuItem1_Click);
			// 
			// mniSelection
			// 
			this.mniSelection.Index = 1;
			this.mniSelection.MenuItems.AddRange(new System.Windows.Forms.MenuItem[]
				{
					this.mniSelectAll,
					this.mniInvertSelection,
					this.menuItem29,
					this.mniMultiSelect
				});
			this.mniSelection.Text = "&Selection";
			// 
			// mniSelectAll
			// 
			this.mniSelectAll.Index = 0;
			this.mniSelectAll.Text = "Select &All";
			this.mniSelectAll.Click += new System.EventHandler(this.mniSelectAll_Click);
			// 
			// mniInvertSelection
			// 
			this.mniInvertSelection.Index = 1;
			this.mniInvertSelection.Text = "&Invert Selection";
			this.mniInvertSelection.Click += new System.EventHandler(this.mniInvertSelection_Click);
			// 
			// menuItem29
			// 
			this.menuItem29.Index = 2;
			this.menuItem29.Text = "-";
			// 
			// mniMultiSelect
			// 
			this.mniMultiSelect.Index = 3;
			this.mniMultiSelect.Text = "Allow MultiSelect";
			this.mniMultiSelect.Click += new System.EventHandler(this.mniMultiSelect_Click);
			// 
			// mniView
			// 
			this.mniView.Index = 2;
			this.mniView.MenuItems.AddRange(new System.Windows.Forms.MenuItem[]
				{
					this.mniFilter,
					this.mniPermissions,
					this.mniViewStyle,
					this.mniDetailsModeOpts,
					this.menuItem26,
					this.mniCheckBoxes,
					this.mniShowFoldersFirst
				});
			this.mniView.Text = "&View";
			// 
			// mniFilter
			// 
			this.mniFilter.Index = 0;
			this.mniFilter.MenuItems.AddRange(new System.Windows.Forms.MenuItem[]
				{
					this.mniFolderMask,
					this.mniFileMask,
					this.menuItem21,
					this.mniFSOnly,
					this.menuItem22,
					this.mniShowFolders,
					this.mniShowNonFolders,
					this.mniShowFolderUp,
					this.mniShowHiddenItems
				});
			this.mniFilter.Text = "Filter";
			// 
			// mniFolderMask
			// 
			this.mniFolderMask.Index = 0;
			this.mniFolderMask.Text = "Edit Folder Mask";
			this.mniFolderMask.Click += new System.EventHandler(this.mniFolderMask_Click);
			// 
			// mniFileMask
			// 
			this.mniFileMask.Index = 1;
			this.mniFileMask.Text = "Edit Non-Folder Mask";
			this.mniFileMask.Click += new System.EventHandler(this.mniFileMask_Click);
			// 
			// menuItem21
			// 
			this.menuItem21.Index = 2;
			this.menuItem21.Text = "-";
			// 
			// mniFSOnly
			// 
			this.mniFSOnly.Index = 3;
			this.mniFSOnly.Text = "File System Files Only";
			this.mniFSOnly.Click += new System.EventHandler(this.mniFSOnly_Click);
			// 
			// menuItem22
			// 
			this.menuItem22.Index = 4;
			this.menuItem22.Text = "-";
			// 
			// mniShowFolders
			// 
			this.mniShowFolders.Index = 5;
			this.mniShowFolders.Text = "Show Folders";
			this.mniShowFolders.Click += new System.EventHandler(this.mniShowFolders_Click);
			// 
			// mniShowNonFolders
			// 
			this.mniShowNonFolders.Index = 6;
			this.mniShowNonFolders.Text = "Show Non-Folders";
			this.mniShowNonFolders.Click += new System.EventHandler(this.mniShowNonFolders_Click);
			// 
			// mniShowFolderUp
			// 
			this.mniShowFolderUp.Index = 7;
			this.mniShowFolderUp.Text = "Show Folder Up";
			this.mniShowFolderUp.Click += new System.EventHandler(this.mniShowFolderUp_Click);
			// 
			// mniShowHiddenItems
			// 
			this.mniShowHiddenItems.Index = 8;
			this.mniShowHiddenItems.Text = "Show Hidden Items";
			this.mniShowHiddenItems.Click += new System.EventHandler(this.mniShowHiddenItems_Click);
			// 
			// mniPermissions
			// 
			this.mniPermissions.Index = 1;
			this.mniPermissions.MenuItems.AddRange(new System.Windows.Forms.MenuItem[]
				{
					this.mniAllowColReorder,
					this.mniAllowDelete,
					this.mniAllowDrag,
					this.mniAllowExecute,
					this.mniAllowNav,
					this.mniArchiveNav,
					this.mniAllowRename,
					this.mniAllowSysContextMenu
				});
			this.mniPermissions.Text = "Permissions";
			// 
			// mniAllowColReorder
			// 
			this.mniAllowColReorder.Index = 0;
			this.mniAllowColReorder.Text = "Allow Column Re-order";
			this.mniAllowColReorder.Click += new System.EventHandler(this.mniAllowColReorder_Click);
			// 
			// mniAllowDelete
			// 
			this.mniAllowDelete.Index = 1;
			this.mniAllowDelete.Text = "Allow Delete";
			this.mniAllowDelete.Click += new System.EventHandler(this.mniAllowDelete_Click);
			// 
			// mniAllowDrag
			// 
			this.mniAllowDrag.Index = 2;
			this.mniAllowDrag.Text = "Allow Drag";
			this.mniAllowDrag.Click += new System.EventHandler(this.mniAllowDrag_Click);
			// 
			// mniAllowExecute
			// 
			this.mniAllowExecute.Index = 3;
			this.mniAllowExecute.Text = "Allow Execute";
			this.mniAllowExecute.Click += new System.EventHandler(this.mniAllowExecute_Click);
			// 
			// mniAllowNav
			// 
			this.mniAllowNav.Index = 4;
			this.mniAllowNav.Text = "Allow Navigation";
			this.mniAllowNav.Click += new System.EventHandler(this.mniAllowNav_Click);
			// 
			// mniArchiveNav
			// 
			this.mniArchiveNav.Index = 5;
			this.mniArchiveNav.Text = "Allow Navigation inside Archives";
			this.mniArchiveNav.Click += new System.EventHandler(this.mniArchiveNav_Click);
			// 
			// mniAllowRename
			// 
			this.mniAllowRename.Index = 6;
			this.mniAllowRename.Text = "Allow Rename";
			this.mniAllowRename.Click += new System.EventHandler(this.mniAllowRename_Click);
			// 
			// mniAllowSysContextMenu
			// 
			this.mniAllowSysContextMenu.Index = 7;
			this.mniAllowSysContextMenu.Text = "Allow System Context Menu";
			this.mniAllowSysContextMenu.Click += new System.EventHandler(this.mniAllowSysContextMenu_Click);
			// 
			// mniViewStyle
			// 
			this.mniViewStyle.Index = 2;
			this.mniViewStyle.MenuItems.AddRange(new System.Windows.Forms.MenuItem[]
				{
					this.mniDetails,
					this.mniIcons,
					this.mniList,
					this.menuItem7,
					this.mniLabelWrap
				});
			this.mniViewStyle.Text = "View Style";
			// 
			// mniDetails
			// 
			this.mniDetails.Index = 0;
			this.mniDetails.Text = "&Details";
			this.mniDetails.Click += new System.EventHandler(this.mniDetails_Click);
			// 
			// mniIcons
			// 
			this.mniIcons.Index = 1;
			this.mniIcons.Text = "&Icons";
			this.mniIcons.Click += new System.EventHandler(this.mniIcons_Click);
			// 
			// mniList
			// 
			this.mniList.Index = 2;
			this.mniList.Text = "&List";
			this.mniList.Click += new System.EventHandler(this.mniList_Click);
			// 
			// menuItem7
			// 
			this.menuItem7.Index = 3;
			this.menuItem7.Text = "-";
			// 
			// mniLabelWrap
			// 
			this.mniLabelWrap.Index = 4;
			this.mniLabelWrap.Text = "Label Wrap";
			this.mniLabelWrap.Click += new System.EventHandler(this.mniLabelWrap_Click);
			// 
			// mniDetailsModeOpts
			// 
			this.mniDetailsModeOpts.Index = 3;
			this.mniDetailsModeOpts.MenuItems.AddRange(new System.Windows.Forms.MenuItem[]
				{
					this.mniGridLines,
					this.mniDateFormat,
					this.mniFullRowSelect,
					this.mniMarkSelectedCol
				});
			this.mniDetailsModeOpts.Text = "Details Mode";
			// 
			// mniGridLines
			// 
			this.mniGridLines.Index = 0;
			this.mniGridLines.Text = "Grid Lines";
			this.mniGridLines.Click += new System.EventHandler(this.mniGridLines_Click);
			// 
			// mniDateFormat
			// 
			this.mniDateFormat.Index = 1;
			this.mniDateFormat.Text = "Date Format String";
			this.mniDateFormat.Click += new System.EventHandler(this.mniDateFormat_Click);
			// 
			// mniFullRowSelect
			// 
			this.mniFullRowSelect.Index = 2;
			this.mniFullRowSelect.Text = "Full Row Select";
			this.mniFullRowSelect.Click += new System.EventHandler(this.mniFullRowSelect_Click);
			// 
			// mniMarkSelectedCol
			// 
			this.mniMarkSelectedCol.Index = 3;
			this.mniMarkSelectedCol.Text = "Mark Selected Column";
			this.mniMarkSelectedCol.Click += new System.EventHandler(this.mniMarkSelectedCol_Click);
			// 
			// menuItem26
			// 
			this.menuItem26.Index = 4;
			this.menuItem26.Text = "-";
			// 
			// mniCheckBoxes
			// 
			this.mniCheckBoxes.Index = 5;
			this.mniCheckBoxes.Text = "CheckBoxes";
			this.mniCheckBoxes.Click += new System.EventHandler(this.mniCheckBoxes_Click);
			// 
			// mniShowFoldersFirst
			// 
			this.mniShowFoldersFirst.Index = 6;
			this.mniShowFoldersFirst.Text = "Show Folders First";
			// 
			// mniNavigate
			// 
			this.mniNavigate.Index = 3;
			this.mniNavigate.MenuItems.AddRange(new System.Windows.Forms.MenuItem[]
				{
					this.mniUp,
					this.mniSpecFolder,
					this.mniPath,
					this.mniLocate,
					this.menuItem3,
					this.mniDesktop,
					this.mniMyDocs,
					this.mniFavorites,
					this.menuItem4,
					this.menuItem2
				});
			this.mniNavigate.Text = "&Navigate";
			this.mniNavigate.Popup += new System.EventHandler(this.mniNavigate_Popup);
			// 
			// mniUp
			// 
			this.mniUp.Index = 0;
			this.mniUp.Text = "Folder &Up";
			this.mniUp.Click += new System.EventHandler(this.mniUp_Click);
			// 
			// mniSpecFolder
			// 
			this.mniSpecFolder.Index = 1;
			this.mniSpecFolder.Text = "&Special Folder";
			this.mniSpecFolder.Click += new System.EventHandler(this.mniSpecFolder_Click);
			// 
			// mniPath
			// 
			this.mniPath.Index = 2;
			this.mniPath.Text = "&Path";
			this.mniPath.Click += new System.EventHandler(this.mniPath_Click);
			// 
			// mniLocate
			// 
			this.mniLocate.Index = 3;
			this.mniLocate.Text = "&Locate File";
			this.mniLocate.Click += new System.EventHandler(this.mniLocate_Click);
			// 
			// menuItem3
			// 
			this.menuItem3.Index = 4;
			this.menuItem3.Text = "-";
			// 
			// mniDesktop
			// 
			this.mniDesktop.Index = 5;
			this.mniDesktop.Text = "&Desktop";
			this.mniDesktop.Click += new System.EventHandler(this.mniDesktop_Click);
			// 
			// mniMyDocs
			// 
			this.mniMyDocs.Index = 6;
			this.mniMyDocs.Text = "&My Documents";
			this.mniMyDocs.Click += new System.EventHandler(this.mniMyDocs_Click);
			// 
			// mniFavorites
			// 
			this.mniFavorites.Index = 7;
			this.mniFavorites.Text = "&Favorites";
			this.mniFavorites.Click += new System.EventHandler(this.mniFavorites_Click);
			// 
			// menuItem4
			// 
			this.menuItem4.Index = 8;
			this.menuItem4.Text = "-";
			// 
			// menuItem2
			// 
			this.menuItem2.Index = 9;
			this.menuItem2.Text = "Show PathID";
			this.menuItem2.Click += new System.EventHandler(this.menuItem2_Click);
			// 
			// contextMenu1
			// 
			this.contextMenu1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[]
				{
					this.menuItem1
				});
			// 
			// menuItem1
			// 
			this.menuItem1.Index = 0;
			this.menuItem1.Text = "Test";
			// 
			// driveExplorer1
			// 
			this.driveExplorer1.Anchor = ((System.Windows.Forms.AnchorStyles) (((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
				| System.Windows.Forms.AnchorStyles.Right)));
			this.driveExplorer1.DropDownWidth = 120;
			this.driveExplorer1.FileExplorer = this.fileExplorer1;
			this.driveExplorer1.ItemHeight = 16;
			this.driveExplorer1.Location = new System.Drawing.Point(0, 0);
			this.driveExplorer1.MaxDropDownItems = 12;
			this.driveExplorer1.Name = "driveExplorer1";
			this.driveExplorer1.Path = "Desktop";
			this.driveExplorer1.PathID = "";
			this.driveExplorer1.PopulateInDesignMode = true;
			this.driveExplorer1.Size = new System.Drawing.Size(648, 22);
			this.driveExplorer1.TabIndex = 0;
			this.driveExplorer1.FolderChanged += new System.EventHandler(this.driveExplorer1_FolderChanged);
			// 
			// fileExplorer1
			// 
			this.fileExplorer1.AllowArchiveNavigation = true;
			this.fileExplorer1.AllowColumnReorder = true;
			this.fileExplorer1.AllowDelete = true;
			this.fileExplorer1.AllowDrag = true;
			this.fileExplorer1.AllowExecute = true;
			this.fileExplorer1.AllowNavigation = true;
			this.fileExplorer1.AllowRename = true;
			this.fileExplorer1.AllowSystemContextMenu = true;
			this.fileExplorer1.Anchor = ((System.Windows.Forms.AnchorStyles) ((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
				| System.Windows.Forms.AnchorStyles.Left)
				| System.Windows.Forms.AnchorStyles.Right)));
			this.fileExplorer1.Columns.AttributsColumn.SortOrder = FineBytes.MEX.Explorer.SortOrder.Ascending;
			this.fileExplorer1.Columns.AttributsColumn.Text = "Attributes";
			this.fileExplorer1.Columns.AttributsColumn.Visible = true;
			this.fileExplorer1.Columns.AttributsColumn.Width = 80;
			this.fileExplorer1.Columns.FileTypeColumn.SortOrder = FineBytes.MEX.Explorer.SortOrder.Ascending;
			this.fileExplorer1.Columns.FileTypeColumn.Text = "Type";
			this.fileExplorer1.Columns.FileTypeColumn.Visible = true;
			this.fileExplorer1.Columns.FileTypeColumn.Width = 120;
			this.fileExplorer1.Columns.ModifiedDateColumn.SortOrder = FineBytes.MEX.Explorer.SortOrder.Ascending;
			this.fileExplorer1.Columns.ModifiedDateColumn.Text = "Date Modified";
			this.fileExplorer1.Columns.ModifiedDateColumn.Visible = true;
			this.fileExplorer1.Columns.ModifiedDateColumn.Width = 120;
			this.fileExplorer1.Columns.NameColumn.SortOrder = FineBytes.MEX.Explorer.SortOrder.Ascending;
			this.fileExplorer1.Columns.NameColumn.Text = "Name";
			this.fileExplorer1.Columns.NameColumn.Visible = true;
			this.fileExplorer1.Columns.NameColumn.Width = 120;
			this.fileExplorer1.Columns.SizeColumn.SortOrder = FineBytes.MEX.Explorer.SortOrder.Ascending;
			this.fileExplorer1.Columns.SizeColumn.Text = "Size";
			this.fileExplorer1.Columns.SizeColumn.Visible = true;
			this.fileExplorer1.Columns.SizeColumn.Width = 80;
			this.fileExplorer1.Cursor = System.Windows.Forms.Cursors.WaitCursor;
			this.fileExplorer1.DateFormatString = "";
			this.fileExplorer1.DriveExplorer = this.driveExplorer1;
			this.fileExplorer1.EnableExtensionHashing = true;
			this.fileExplorer1.Filter.FolderMaskFilter = "*.*";
			this.fileExplorer1.Filter.NonFolderMaskFilter = "*.*";
			this.fileExplorer1.Filter.ShowFileSystemFilesOnly = false;
			this.fileExplorer1.Filter.ShowFolders = true;
			this.fileExplorer1.Filter.ShowFolderUp = true;
			this.fileExplorer1.Filter.ShowHiddenItems = false;
			this.fileExplorer1.Filter.ShowNonFolders = true;
			this.fileExplorer1.HideSelection = false;
			this.fileExplorer1.LabelEdit = true;
			this.fileExplorer1.LicenseCode = "";
			this.fileExplorer1.Location = new System.Drawing.Point(1, 24);
			this.fileExplorer1.MarkSelectedColumn = true;
			this.fileExplorer1.Name = "fileExplorer1";
			this.fileExplorer1.Path = "Desktop";
			this.fileExplorer1.PathID = "";
			this.fileExplorer1.PopulateInDesignMode = true;
			this.fileExplorer1.ShowFoldersFirst = true;
			this.fileExplorer1.Size = new System.Drawing.Size(645, 288);
			this.fileExplorer1.TabIndex = 1;
			// 
			// Status
			// 
			this.Status.Anchor = ((System.Windows.Forms.AnchorStyles) (((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)
				| System.Windows.Forms.AnchorStyles.Right)));
			this.Status.Dock = System.Windows.Forms.DockStyle.None;
			this.Status.Location = new System.Drawing.Point(0, 315);
			this.Status.Name = "Status";
			this.Status.Size = new System.Drawing.Size(648, 22);
			this.Status.TabIndex = 2;
			// 
			// MainForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(648, 337);
			this.Controls.Add(this.Status);
			this.Controls.Add(this.fileExplorer1);
			this.Controls.Add(this.driveExplorer1);
			this.Cursor = System.Windows.Forms.Cursors.Default;
			this.Menu = this.mainMenu1;
			this.Name = "MainForm";
			this.Text = "Magic Explorer Demo";
			this.Load += new System.EventHandler(this.MainForm_Load);
			this.ResumeLayout(false);

		}

		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		private static void Main()
		{
			Application.Run(new MainForm());
		}


		private void File_Popup(object sender, EventArgs e)
		{
			bool en = fileExplorer1.SelectedItems.Count != 0;
			mniDelete.Enabled = en;
			mniRename.Enabled = en;
			mniProps.Enabled = en;
			mniOpen.Enabled = en;
			mniOpenWith.Enabled = en;
			mniPrint.Enabled = en;
			mniEdit.Enabled = en;
		}


		private void menuItem1_Click(object sender, EventArgs e)
		{
			Close();
		}

		private void mniRename_Click(object sender, EventArgs e)
		{
			fileExplorer1.RenameSelectedItem();
		}

		private void mniDelete_Click(object sender, EventArgs e)
		{
			fileExplorer1.DeleteSelectedItems();
		}

		private void mniSelectAll_Click(object sender, EventArgs e)
		{
			fileExplorer1.Items.SelectAll();
			fileExplorer1.Focus();
		}

		private void mniInvertSelection_Click(object sender, EventArgs e)
		{
			foreach (ExplorerItem ei in fileExplorer1.Items)
				ei.ListViewItem.Selected = !ei.ListViewItem.Selected;
			fileExplorer1.Focus();
		}

		private void mniDetails_Click(object sender, EventArgs e)
		{
			fileExplorer1.View = View.Details;
		}

		private void mniIcons_Click(object sender, EventArgs e)
		{
			fileExplorer1.View = View.LargeIcon;
		}

		private void mniList_Click(object sender, EventArgs e)
		{
			fileExplorer1.View = View.List;
		}

		private void mniDesktop_Click(object sender, EventArgs e)
		{
			fileExplorer1.MoveToSpecialFolder(SpecialFolder.Desktop);
		}

		private void mniMyDocs_Click(object sender, EventArgs e)
		{
			fileExplorer1.MoveToSpecialFolder(SpecialFolder.MyDocumentsDirectory);
		}

		private void mniFavorites_Click(object sender, EventArgs e)
		{
			fileExplorer1.MoveToSpecialFolder(SpecialFolder.Favorites);
		}

		private void mniUp_Click(object sender, EventArgs e)
		{
			fileExplorer1.BackDir();
		}

		private void mniNavigate_Popup(object sender, EventArgs e)
		{
			mniUp.Enabled = !fileExplorer1.CurrentFolder.IsDesktopFolder();
		}

		private void mniSpecFolder_Click(object sender, EventArgs e)
		{
			SpecFolderForm sff = new SpecFolderForm(fileExplorer1);
			sff.ShowDialog();
		}


		private void MainForm_Load(object sender, EventArgs e)
		{
			mniAllowColReorder.Checked = fileExplorer1.AllowColumnReorder;
			mniAllowDelete.Checked = fileExplorer1.AllowDelete;
			mniMultiSelect.Checked = fileExplorer1.MultiSelect;
			mniFSOnly.Checked = fileExplorer1.Filter.ShowFileSystemFilesOnly;
			mniShowFolders.Checked = fileExplorer1.Filter.ShowFolders;
			mniShowNonFolders.Checked = fileExplorer1.Filter.ShowNonFolders;
			mniShowFolderUp.Checked = fileExplorer1.Filter.ShowFolderUp;
			mniShowHiddenItems.Checked = fileExplorer1.Filter.ShowHiddenItems;
			mniAllowDrag.Checked = fileExplorer1.AllowDrag;
			mniAllowExecute.Checked = fileExplorer1.AllowExecute;
			mniAllowNav.Checked = fileExplorer1.AllowNavigation;
			mniAllowRename.Checked = fileExplorer1.AllowRename;
			mniAllowSysContextMenu.Checked = fileExplorer1.AllowSystemContextMenu;
			mniArchiveNav.Checked = fileExplorer1.AllowArchiveNavigation;
			mniLabelWrap.Checked = fileExplorer1.LabelWrap;
			mniCheckBoxes.Checked = fileExplorer1.CheckBoxes;
			mniGridLines.Checked = fileExplorer1.GridLines;
			mniFullRowSelect.Checked = fileExplorer1.FullRowSelect;
			mniMarkSelectedCol.Checked = fileExplorer1.MarkSelectedColumn;
			Status.Text = driveExplorer1.Path;
			fileExplorer1.UnLockPopulate();
		}

		private void mniAllowColReorder_Click(object sender, EventArgs e)
		{
			mniAllowColReorder.Checked = !mniAllowColReorder.Checked;
			fileExplorer1.AllowColumnReorder = mniAllowColReorder.Checked;
		}

		private void mniAllowDelete_Click(object sender, EventArgs e)
		{
			mniAllowDelete.Checked = !mniAllowDelete.Checked;
			fileExplorer1.AllowDelete = mniAllowDelete.Checked;
		}

		private void mniMultiSelect_Click(object sender, EventArgs e)
		{
			mniMultiSelect.Checked = !mniMultiSelect.Checked;
			fileExplorer1.MultiSelect = mniMultiSelect.Checked;

			// ensure that only one item is selected if multiselect is off
			if (!fileExplorer1.MultiSelect & fileExplorer1.SelectedItems.Count > 1)
			{
				for (int i = fileExplorer1.SelectedItems.Count - 1; i > 0; i--)
					fileExplorer1.SelectedItems[i].ListViewItem.Selected = false;
				fileExplorer1.SelectedItems[0].ListViewItem.Focused = true;
			}
		}

		private void mniFSOnly_Click(object sender, EventArgs e)
		{
			mniFSOnly.Checked = !mniFSOnly.Checked;
			fileExplorer1.Filter.ShowFileSystemFilesOnly = mniFSOnly.Checked;
		}

		private void mniShowFolders_Click(object sender, EventArgs e)
		{
			mniShowFolders.Checked = !mniShowFolders.Checked;
			fileExplorer1.Filter.ShowFolders = mniShowFolders.Checked;
		}

		private void mniShowNonFolders_Click(object sender, EventArgs e)
		{
			mniShowNonFolders.Checked = !mniShowNonFolders.Checked;
			fileExplorer1.Filter.ShowNonFolders = mniShowNonFolders.Checked;
		}

		private void mniShowFolderUp_Click(object sender, EventArgs e)
		{
			mniShowFolderUp.Checked = !mniShowFolderUp.Checked;
			fileExplorer1.Filter.ShowFolderUp = mniShowFolderUp.Checked;
		}

		private void mniShowHiddenItems_Click(object sender, EventArgs e)
		{
			mniShowHiddenItems.Checked = !mniShowHiddenItems.Checked;
			fileExplorer1.Filter.ShowHiddenItems = mniShowHiddenItems.Checked;
		}

		private void mniAllowDrag_Click(object sender, EventArgs e)
		{
			mniAllowDrag.Checked = !mniAllowDrag.Checked;
			fileExplorer1.AllowDrag = mniAllowDrag.Checked;
		}

		private void mniAllowExecute_Click(object sender, EventArgs e)
		{
			mniAllowExecute.Checked = !mniAllowExecute.Checked;
			fileExplorer1.AllowExecute = mniAllowExecute.Checked;
		}

		private void mniAllowNav_Click(object sender, EventArgs e)
		{
			mniAllowNav.Checked = !mniAllowNav.Checked;
			fileExplorer1.AllowNavigation = mniAllowNav.Checked;
		}

		private void mniAllowRename_Click(object sender, EventArgs e)
		{
			mniAllowRename.Checked = !mniAllowRename.Checked;
			fileExplorer1.AllowRename = mniAllowRename.Checked;
		}

		private void mniAllowSysContextMenu_Click(object sender, EventArgs e)
		{
			mniAllowSysContextMenu.Checked = !mniAllowSysContextMenu.Checked;
			fileExplorer1.AllowSystemContextMenu = mniAllowSysContextMenu.Checked;
		}

		private void mniLabelWrap_Click(object sender, EventArgs e)
		{
			mniLabelWrap.Checked = !mniLabelWrap.Checked;
			fileExplorer1.LabelWrap = mniLabelWrap.Checked;
		}

		private void mniCheckBoxes_Click(object sender, EventArgs e)
		{
			mniCheckBoxes.Checked = !mniCheckBoxes.Checked;
			fileExplorer1.CheckBoxes = mniCheckBoxes.Checked;
		}

		private void mniGridLines_Click(object sender, EventArgs e)
		{
			mniGridLines.Checked = !mniGridLines.Checked;
			fileExplorer1.GridLines = mniGridLines.Checked;
		}

		private void mniFullRowSelect_Click(object sender, EventArgs e)
		{
			mniFullRowSelect.Checked = !mniFullRowSelect.Checked;
			fileExplorer1.FullRowSelect = mniFullRowSelect.Checked;
		}

		private void mniMarkSelectedCol_Click(object sender, EventArgs e)
		{
			mniMarkSelectedCol.Checked = !mniMarkSelectedCol.Checked;
			fileExplorer1.MarkSelectedColumn = mniMarkSelectedCol.Checked;
		}

		private void mniFolderMask_Click(object sender, EventArgs e)
		{
			InputBox ib = new InputBox("Enter Folder Mask Filter", fileExplorer1.Filter.FolderMaskFilter);
			ib.ShowDialog(this);
			if (ib.DialogResult == DialogResult.Cancel)
				return;
			fileExplorer1.Filter.FolderMaskFilter = ib.Input;
		}

		private void mniFileMask_Click(object sender, EventArgs e)
		{
			InputBox ib = new InputBox("Enter Non-Folder Mask Filter", fileExplorer1.Filter.NonFolderMaskFilter);
			ib.ShowDialog(this);
			if (ib.DialogResult == DialogResult.Cancel)
				return;
			fileExplorer1.Filter.NonFolderMaskFilter = ib.Input;
		}

		private void mniDateFormat_Click(object sender, EventArgs e)
		{
			InputBox ib = new InputBox("Enter Date Column format string", fileExplorer1.DateFormatString);
			ib.ShowDialog(this);
			if (ib.DialogResult == DialogResult.Cancel)
				return;
			fileExplorer1.DateFormatString = ib.Input;
		}

		private void mniPath_Click(object sender, EventArgs e)
		{
			InputBox ib = new InputBox("Enter full path", fileExplorer1.Path);
			ib.ShowDialog(this);
			if (ib.DialogResult == DialogResult.Cancel)
				return;
			try
			{
				fileExplorer1.Path = ib.Input;
			}
			catch
			{
				MessageBox.Show("Path not found", "Error");
			}
		}

		private void menuItem2_Click(object sender, EventArgs e)
		{
			MessageBox.Show(this, fileExplorer1.PathID, Text);
		}

		private void mniLocate_Click(object sender, EventArgs e)
		{
			InputBox ib = new InputBox("Enter file's or folder's full path", string.Empty);
			ib.ShowDialog(this);
			if (ib.DialogResult == DialogResult.Cancel)
				return;
			try
			{
				fileExplorer1.LocateFile(ib.Input);
				fileExplorer1.Focus();
			}
			catch
			{
				MessageBox.Show("Path not found", "Error");
			}
		}

		private void mniProps_Click(object sender, EventArgs e)
		{
			fileExplorer1.InvokeShellCommand("properties");
		}

		private void mniPrint_Click(object sender, EventArgs e)
		{
			fileExplorer1.InvokeShellCommand("print");
		}

		private void mniEdit_Click(object sender, EventArgs e)
		{
			fileExplorer1.InvokeShellCommand("edit");
		}

		private void mniOpen_Click(object sender, EventArgs e)
		{
			fileExplorer1.InvokeShellCommand("open");
		}

		private void mniOpenWith_Click(object sender, EventArgs e)
		{
			fileExplorer1.InvokeShellCommand("openas");
		}

		private void mniArchiveNav_Click(object sender, EventArgs e)
		{
			mniArchiveNav.Checked = !mniArchiveNav.Checked;
			fileExplorer1.AllowArchiveNavigation = mniArchiveNav.Checked;
		}

		private void driveExplorer1_FolderChanged(object sender, EventArgs e)
		{
			Status.Text = driveExplorer1.Path;
		}

	}
}